##########################################################################
#                                                                        # #
# Licensed Materials - Property of IBM                                   #   #
# Restricted Material of IBM                                             #######
# IBM Rational Test RealTime                                                   #
#  Copyright IBM Corp. 1999,2004 All Rights Reserved.                         #
#                                                                              #
# US Government Users Restricted Rights - Use, duplication or                  #
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.            #
#                                                                              #
################################################################################


# useful for stdout/stderr direct viewing inside 'console' of studio window
# (better: we have stdout/stderr lines in right order and not stderr before stdout
use FileHandle ;
STDOUT->autoflush(1);
STDERR->autoflush(1);

# This script depends on the followings (both studio'n Target Package)
if(-f $ARGV[0]) {
  require $ARGV[0] ; #environment and global variables.
} else {
  print "Stop.pl unable to find $ARGV[0] \n";
  exit(1);
  $ARGV[0]=~s/environment_node\d+\.pl/envNode.pl/;
  require $ARGV[0] ;
}
# Miscellaneous functions
require $SCRIPTDIR . "Fcts.pl";
die Unknown_TDP() unless (-d $TARGETDIR);
require $SCRIPTDIR . "Tools.pl";

# This method is executed when the user click on the studio 'Stop' button
# after its execution the current perl process is killed
sub atl_stop
{
my $nodeType=shift;
my $handle=shift;
# that function does nothing.
# It is executed when the TDP > Build Settings > Additional perl function does not include the atl_stop method
# To do appropriate actions to the environment:
#	create the atl_stop method into the TDP > Build Settings > Additional perl function
#	then this TDP atl_stop method will be executed instead of this one
#
  if($ENV{RTRT_EXTERNAL_EXEC} && $ENV{RTRT_EXTERNAL_EXEC}=~m/^(1|on)$/i){
    $INTDIR='.' unless ($INTDIR);
    system("echo stop > $INTDIR/atlendtest.txt");
    sleep(5);
  }

print "Stop requested while executing $nodeType handle=$handle\n";
print "No TDP Stop actions dedicated to this TDP\nThis stop Action can be customized by the TDP if needed\n" if($ENV{'ATTOLSTUDIO_VERBOSE'});
return 0;
}

# Target-dependant functions to overload the previous atl_stop function
require $TARGETDIR . "/cmd/atl_func.pl";
################################################################################
# Here is the beginning
################################################################################

CheckIntDir();
CheckOutDir();
EnterInScript();
exit (atl_stop($ARGV[2],$ARGV[1]));
1;

# That's all Folks.
################################################################################
