
###########################################################################
# System64P
# This routine will print and execute a given command, and
# implicitly return the result
###########################################################################
sub System64P
{
	my @Command=@_;
        my $Ret;

        print join (' ',@Command),"\n" if ($ENV{'ATTOLSTUDIO_VERBOSE'});
        $Ret=system(@Command) unless($showCmd);
        return (ReturnAnalysis($Ret,$Err));
}

###########################################################################
# SystemARCH
# This routine will print and execute a given command, and
# implicitly return the result
###########################################################################
sub SystemARCH
{
	my @Command=@_;
        my $Ret;

        print join (' ',@Command),"\n" if ($ENV{'ATTOLSTUDIO_VERBOSE'});
        $Ret=system(@Command) unless($showCmd);
        return (ReturnAnalysis($Ret,$Err));
}

###########################################################################
# taskExist
# This routine check if a system task is running, and
# return the task PID
###########################################################################
sub taskExist
{
	my $param=shift;
	my @tasklines = `ps`;
	my $ret=0;
	foreach(@tasklines)
	{
	   #  2598 pts/3       0:00 bash
	   if(m/^\s*(\d+)\s+[^:]+:\d+\s+([^\s]+)/){
	      my $pid=$1;
	      my ($d,$task,$e)=SplitFileName($2);
	      if($task eq $param){
		print $pid,' ',$task,"\n";
		return $pid;
	      }
	   }
	}
	return $ret;
}

1;