use Win32API::Wow64FsRedirection qw( :ALL );
#This require to have the file Wow64FsRedirection.pm installed into %TESTRTDIR%\lib\perl\Win32API

###########################################################################
# System64P
# This routine will print and execute a given command, and
# implicitly return the result
###########################################################################
sub System64P
{
	my @Command=@_;
        my $Ret;

        print join (' ',@Command),"\n" if ($ENV{'ATTOLSTUDIO_VERBOSE'});
        $Ret=system64(@Command) unless($showCmd);
        return (ReturnAnalysis($Ret,$Err));
}

###########################################################################
# SystemARCH
# This routine will print and execute a given command, and
# implicitly return the result
###########################################################################
sub SystemARCH
{
	my @Command=@_;
	my $Ret;

	print join (' ',@Command),"\n" if ($ENV{'ATTOLSTUDIO_VERBOSE'});
	if($ARCH64){
		$Ret=system64(@Command) unless($showCmd);
	} else {
		$Ret=system(@Command) unless($showCmd);
	}
	return (ReturnAnalysis($Ret,$Err));
}

###########################################################################
# taskExist
# This routine check if a system task is running, and
# return the task PID
###########################################################################
sub taskExist
{
	my $param=shift;
	my @tasklines = `tasklist /FI \"IMAGENAME eq $param\"`;
	my $ret=0;
	foreach(@tasklines)
	{
	   if(m/^([\w\.]+)\s+(\d+)\s[CS]/){
	      print $2,' ',$1,"\n";
	      $ret=$2;
	   }
	}
	return $ret;
}
1;
